V1.3 release candidate
authorA.M. Thurnherr <athurnherr@yahoo.com>
Mon, 12 Oct 2015 16:54:08 +0000
changeset 25 9469d96aa284
parent 24 1a761865f839
child 27 1c128aaaca6f
V1.3 release candidate
.hgignore
HISTORY
INDEX
splitYYPD0
new file mode 100644
--- /dev/null
+++ b/.hgignore
@@ -0,0 +1,11 @@
+#======================================================================
+#                    . H G I G N O R E 
+#                    doc: Mon Oct 12 16:53:42 2015
+#                    dlm: Mon Oct 12 16:53:42 2015
+#                    (c) 2015 A.M. Thurnherr
+#                    uE-Info: 3 14 NIL 0 0 72 0 2 4 NIL ofnI
+#======================================================================
+
+syntax: glob
+
+README.Publish
--- a/HISTORY
+++ b/HISTORY
@@ -1,9 +1,9 @@
 ======================================================================
                     H I S T O R Y 
                     doc: Tue May 15 18:04:39 2012
-                    dlm: Thu May  7 13:08:32 2015
+                    dlm: Mon Oct 12 16:52:48 2015
                     (c) 2012 A.M. Thurnherr
-                    uE-Info: 21 64 NIL 0 0 72 3 2 8 NIL ofnI
+                    uE-Info: 25 38 NIL 0 0 72 3 2 8 NIL ofnI
 ======================================================================
 
 May 15, 2012:
@@ -20,3 +20,6 @@
   - V1.2 [.hg/hgrc]
   - version used for LADCPproc V1.3 (Explorer/Slocum processing)
 
+Oct 12, 2015:
+  - V1.3 [.hg/hgrc]  
+  - version published for LADCP_w V1.0
--- a/INDEX
+++ b/INDEX
@@ -1,9 +1,9 @@
 #======================================================================
 #                    I N D E X 
 #                    doc: Thu Feb  7 14:21:21 2008
-#                    dlm: Tue Nov 26 21:55:56 2013
+#                    dlm: Sun Sep 27 12:18:28 2015
 #                    (c) 2008 A.M. Thurnherr
-#                    uE-Info: 12 0 NIL 0 0 72 0 2 4 NIL ofnI
+#                    uE-Info: 31 0 NIL 0 0 72 0 2 4 NIL ofnI
 #======================================================================
 
 =General Utilities=
@@ -14,6 +14,7 @@
 [listBT]	list bottom-track data
 [listW]		list vertical velocities; BROKEN
 [scanBins]	list per-bin stats; BROKEN
+[splitPD0]	split PD0 file using list of ensemble numbers
 
 
 =Moored-ADCP Utilities=
@@ -27,3 +28,4 @@
 
 [mkProfile]		make depth-vs-time profile by integrating vertical velocities
 [checkIX]		check LDEO_IX output
+[splitYYPD0]	split LADCP yoyo or tow-yo file; requires ANTS utilities
new file mode 100755
--- /dev/null
+++ b/splitYYPD0
@@ -0,0 +1,20 @@
+#!/bin/sh
+#======================================================================
+#                    S P L I T Y Y P D 0 
+#                    doc: Sun Sep 27 12:18:05 2015
+#                    dlm: Sun Sep 27 12:18:57 2015
+#                    (c) 2015 A.M. Thurnherr
+#                    uE-Info: 10 29 NIL 0 0 72 2 2 4 NIL ofnI
+#======================================================================
+
+2>/dev/null >/dev/null which yoyo || {
+	echo "required ANTS utilities not installed" >&2
+	exit 1
+}
+
+[ -f "$1" ] || {
+	echo "Usage: $0 <PD0 file>" >&2
+	exit 1
+}
+
+splitPD0 "$1" `mkProfile "$1" | yoyo -QFens -ut`